#!/bin/bash
pointfusion_octree_bin=./bin/pointfusion_octree
pointfusion_surface_bin=./bin/pointfusion_surface

# generate octree
octree_file=cone.octree
$pointfusion_octree_bin \
        --density-threshold 0.01 \
        --filter-radius 2 \
        --max-depth=10 \
        `# increase bounding box a little` \
        --bounding-box=-12,-12,-20,12,12,11 \
        -o $octree_file \
        cone.ply 


lambda1=10
lambda2=10
alpha1=(0.20 1 5)
alpha2=(0.20 1 5)

for a1 in ${alpha1[*]}; do
	for a2 in ${alpha2[*]}; do
		outfile=recon_cone_lambda1_${lambda1}_lambda2_${lambda2}_alpha1_${a1}_alpha2_${a2}.ply
		$pointfusion_surface_bin \
			$octree_file \
			-o $outfile \
			--alpha1=$a1 \
			--alpha2=$a2 \
			--lambda1=$lambda1 \
			--lambda2=$lambda2 \
			--min-iterations=500 \
			--max-iterations=500
	done
done


# force the vector field v to be zero
lambda1=10
lambda2=10
alpha1=1
alpha2=0
outfile=recon_cone_zero_v_lambda1_${lambda1}_lambda2_${lambda2}_alpha1_${alpha1}_alpha2_${alpha2}.ply
$pointfusion_surface_bin \
        $octree_file \
        -o $outfile \
        --alpha1=$alpha1 \
        --alpha2=$alpha2 \
        --lambda1=$lambda1 \
        --lambda2=$lambda2 \
        --min-iterations=500 \
        --max-iterations=500 \
        --zero_v

